{ config, lib, pkgs, ... }:

let unstable = import <nixos-unstable> { };
in {

  services.emacs.package = pkgs.emacsPgtk;
  nixpkgs.overlays = [
    (import (builtins.fetchTarball {
      url = https://github.com/nix-community/emacs-overlay/archive/master.tar.gz;
    }))
  ];

  environment.systemPackages = with pkgs; [
    gnumake
    go_1_19
    rustup
    shellcheck
    unstable.golangci-lint
    unstable.gopls
    unstable.rust-analyzer
    #unstable.esphome

    unstable.nodePackages.pyright
    (python39.withPackages
      (python-packages: with python-packages; [
        black
        diagrams
        pymemcache
        pyyaml
        requests
      ]))

    mariadb-client
    musl

    dbeaver
    emacs-gtk
    gitAndTools.delta
    lazygit
    ltrace
    parallel
    sops
    tig
    unstable.bazel

    openssl
    pkg-config
    nasm
    cmake
    zlib
    gcc
    binutils-unwrapped
  ];
}
